API referenceDealCollection
POST /api/DealCollection/GetTypesByIds
An array of ids should be passed in the request body, and the API returns a list of Deal Collection Types that match the ids. In order to get all Deal Collection Types, pass an empty array.
POST
/api/DealCollection/GetTypesByIdscurl -X POST "/api/DealCollection/GetTypesByIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
A list of Deal Collection Types.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.PortfolioManagement.DealCollectionTypeResponseDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"description": "string",
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z",
"createdBy": "string"
}
]
}